package com.u1aryz.samples.multi_screen;

import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

/**
 * 詳細を表示するためのフラグメント
 * 
 * @author u1aryz
 * 
 */
public class DetailFragment extends Fragment {

	TextView mTextView;

	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container,
			Bundle savedInstanceState) {

		View v = inflater.inflate(R.layout.detail_content, container, false);
		mTextView = (TextView) v.findViewById(R.id.text);
		return v;
	}

	/**
	 * 詳細を表示する
	 * 
	 * @param position
	 *            選択されたポジション
	 */
	public void loadDetail(int position) {

		mTextView.setText("あなたが選択したポジションは " + position);
	}
}
